package org.jboss.errai.demo.server;

import java.util.ArrayList;
import java.util.List;

import javax.ejb.Stateless;
import javax.ejb.TransactionAttribute;
import javax.ejb.TransactionAttributeType;
import javax.enterprise.event.Event;
import javax.enterprise.event.Observes;
import javax.inject.Inject;

import org.jboss.errai.demo.client.shared.Cam01File;
import org.jboss.errai.demo.client.shared.Cam01FileList;
import org.jboss.errai.demo.client.shared.Request;
import org.jboss.errai.demo.client.shared.Response;

@Stateless
@TransactionAttribute(TransactionAttributeType.REQUIRES_NEW)
public class Cam01Service {
  @Inject
  @Response
  private Event<Cam01FileList> cam01FileListEvent;

  //@PersistenceContext(unitName = "ALDAAR")
  //private EntityManager em;

  public void create(Cam01File entity) {
    //em.persist(entity);
  }

  public void update(int id, Cam01File entity) {
   // entity.setRowuid(id);
   // entity = em.merge(entity);
  }

  public void delete(int id) {
    //Cam01File cam01File = em.find(Cam01File.class, id);
    //em.remove(cam01File);
  }

  public Cam01File getById(Long id) {
    //return em.find(Cam01File.class, id);
    return null;
  }

  public void getAll(@Observes @Request Cam01FileList cam01List) {
    System.out.println("RECEIVED REQUEST FOR CAM01 RECORDS!!!");
    //TypedQuery<Cam01File> query = em.createNamedQuery("Cam01File.findAll", Cam01File.class);
    //List<Cam01File> results = query.getResultList();
    System.out.println("RETRIEVED CAM01FILE RECORDS!!!");

    List<Cam01File> results = new ArrayList<Cam01File>();
    Cam01File result = new Cam01File();
    result.setFileName("foo");
    results.add(result);
    cam01List.setRecords(results);

    System.out.println("FIRING CAM01FILELIST EVENT!!!");
    cam01FileListEvent.fire(cam01List);
  }
}
